Skip to main content
Monitoring & Collection/Scrape Collection
PUTMonitoringSince 1.0SynchronousAuth Required

SetMaintenanceMode

Enable or disable maintenance mode for a scrape target to suppress alerts

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • targetIdStringRequired

    UUID of the target to put into or remove from maintenance mode

Body Fields

  • enabledBooleanRequired

    True to enable maintenance mode, false to disable

    Example: true

  • reasonStringRequired

    Reason for entering maintenance mode

    Example: scheduled OS upgrade

Responses

200 OK

On success, this API returns an empty JSON object {}.

Endpoint

PUT/api/v1/monitoring/scrape-health/targets/{targetId}/maintenance

/api/v1/monitoring/scrape-health/targets/{targetId}/maintenance

Operation ID

SetMaintenanceMode

Permalink

Request Example

curl -X PUT '{host}/api/v1/monitoring/scrape-health/targets/{targetId}/maintenance' -H 'Authorization: Bearer {token}' -H 'Content-Type: application/json' -d '{"enabled":true,"reason":"scheduled OS upgrade"}'

Response Example

200
{}

Change History

This API has no change history records yet.

View all change history